var windowId,sysUrl = top.sysUrl,toEdit;
var xcdh = $.getUrlParam("xcdh");
var xcdmc = $.getUrlParam("xcdmc");
var fwsbh = $.getUrlParam("fwsbh");
var type = $.getUrlParam("type");//0-电子监控设备，1-交通设备
$(function(){
	initDefault();	
});
//默认
function initDefault(){
	$("#xfsjStart").datetimebox("setValue",$.getTodayStart('00:00:00'));
	$("#xfsjEnd").datetimebox("setValue",$.getTodayStart('23:59:59'));
	initGrid();
}
//查询条件
function getQueryParams(){
	var sParam = {};
	if(type=="0"){
		
	}
	/*
	sParam.LIKExh = $('#LIKExh').textbox("getValue");
	sParam.LIKExcdh = $('#LIKExcdh').textbox("getValue");
	sParam.LIKExcsbbh = $('#LIKExcsbbh').textbox("getValue");
	sParam.LIKExcsbmc = $('#LIKExcsbmc').textbox("getValue");
	sParam.LIKExcsbzt = $('#LIKExcsbzt').textbox("getValue");
	sParam.LIKExfzt = $('#LIKExfzt').textbox("getValue");
	sParam.LIKExfsj = $('#LIKExfsj').textbox("getValue");
	sParam.LIKExfms = $('#LIKExfms').textbox("getValue");
	sParam.LIKEsbtp = $('#LIKEsbtp').textbox("getValue");
	sParam.LIKEsbsp = $('#LIKEsbsp').textbox("getValue");
	sParam.LIKEgztp = $('#LIKEgztp').textbox("getValue");
	sParam.LIKEgzsp = $('#LIKEgzsp').textbox("getValue");
	sParam.LIKEcjry = $('#LIKEcjry').textbox("getValue");
	sParam.LIKEcjrq = $('#LIKEcjrq').textbox("getValue");
	sParam.LIKExgry = $('#LIKExgry').textbox("getValue");
	sParam.LIKExgrq = $('#LIKExgrq').textbox("getValue");
	sParam.LIKEbz = $('#LIKEbz').textbox("getValue");
	sParam.LIKEkz1 = $('#LIKEkz1').textbox("getValue");
	sParam.LIKEkz2 = $('#LIKEkz2').textbox("getValue");
	sParam.LIKEkz3 = $('#LIKEkz3').textbox("getValue");
	sParam.LIKEkz4 = $('#LIKEkz4').textbox("getValue");

	*/
	/*
	var xx1 = $("#xx1").textbox("getValue");//文本
	var xx2 = $("#xx2").combobox("getValue");//下拉
	var xx3 = $("#xx3").datetimebox("getValue");//日期
	var xx4 = $("#xx4").numberbox("getValue");//数字
	var LIKEtime1 = $('#LIKEtime1').datetimebox("getValue");	
	var LIKEtime2 = $('#LIKEtime1').datetimebox("getValue");	
	var tableparam = "";
	if(!(LIKEtime1==null||LIKEtime1==""||LIKEtime1==undefined)){
		tableparam += " AND time > '" +LIKEtime1 + "'";
	}
	if(!(LIKEtime2==null||LIKEtime2==""||LIKEtime2==undefined)){
		tableparam += " AND time < '" +LIKEtime2 + "'";
	}
	sParam.tableparam = tableparam;
	sParam.order = "order by time desc ";
	*/
	return sParam;
}
//加载列表
function initGrid(){	
	var toolbar = [{
    	text	:	'查询',
        iconCls	:	'icon-search',
        handler	:	doSearch
    },{
        text	:	'增加',
        iconCls	:	'icon-add',
        handler	:	doAdd
    },{
        text	:	'修改',
        iconCls	:	'icon-cut',
        handler	:	doEdit
    },{
        text	:	'删除',
        iconCls	:	'icon-delete',
        handler	:	doDelete
    }/*,{
        text	:	'模板',
        iconCls	:	'icon-export-excel',
        handler	:	doTemplate
    },{
        text	:	'导入',
        iconCls	:	'icon-update',
        handler	:	doImport
    },{
        text	:	'导出',
        iconCls	:	'icon-download',
        handler	:	doExport
    }*/];
	$('#tableGrid').datagrid({
		toolbar : toolbar,
		singleSelect:true,
		rownumbers:true,
		queryParams:getQueryParams(),
		url : 'nhywjtssxcsbAction!listNhywjtssxcsbByPage.do',
		columns : [[
		    {
				field: 'A',
				checkbox:'true',
				width:30
			},
		    {field:'xh',title:'xh',hidden:true,width:120, 
				formatter:function showClick(value,record,num){ 
					return "<a  href='javascript:void(0);' class='ahref' onclick='doUpdate("+num+")'>"+value+"</a>";
				}
 			},
			{field:'xcdh',title:'巡查单号',hidden:false,width:120},
			{field:'xcsbbh',title:'巡查设备编号',hidden:false,width:120},
			{field:'xcsbmc',title:'巡查设备名称',hidden:false,width:120},
			{field:'xcsbzt',title:'巡查设备状态',hidden:false,width:120},
			{field:'xfzt',title:'修复状态',hidden:false,width:120},
			{field:'xfsj',title:'修复时间',hidden:true,width:120},
			{field:'xfms',title:'修复描述',hidden:true,width:120},
			{field:'sbtp',title:'设备图片',hidden:true,width:120},
			{field:'sbsp',title:'设备视频',hidden:true,width:120},
			{field:'gztp',title:'故障图片',hidden:true,width:120},
			{field:'gzsp',title:'故障视频',hidden:true,width:120},
			{field:'cjry',title:'创建人员',hidden:true,width:120},
			{field:'cjrq',title:'创建日期',hidden:true,width:120},
			{field:'xgry',title:'修改人员',hidden:true,width:120},
			{field:'xgrq',title:'修改日期',hidden:true,width:120},
			{field:'bz',title:'备注',hidden:true,width:120},
			{field:'kz1',title:'扩展1',hidden:true,width:120},
			{field:'kz2',title:'扩展2',hidden:true,width:120},
			{field:'kz3',title:'扩展3',hidden:true,width:120},
			{field:'kz4',title:'扩展4',hidden:true,width:120}
		]]
	});
}
//删除
function doDelete(){
	var selRows = $('#tableGrid').datagrid('getSelected'); 
	if(!selRows){
		$.showMsg('请先选择记录! ');
		return;
	}
	top.$.dlg.confirm('确认删除?',function(){
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtssxcsbAction!delete_Nhywjtssxcsb.do',
			data:{
				xh	:	selRows.xh

			},
			success:function(flag){
				if(flag == "success"){
					$.showMsg("操作成功！");
					doSearch();
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	});
}
//批量删除
function doDelete_batch(){
	var selRows = $('#tableGrid').datagrid('getChecked'); 
	var keyword = [];
	 if(selRows===null){
		$.showMsg('请先选择一行! ');
		 return;
	 }else{
		for(var i=0; i<selRows.length; i++){
			keyword.push(selRows[i].xh);
		}
		top.$.dlg.confirm('你确认要删除吗?',function(){ 
		    $.ajax({
				 type:'post',
				 dataType : 'json',
				 url:'nhywjtssxcsbAction!batch_delete_Nhywjtssxcsb.do',
				 data:{keyword	:	keyword.join(",")},
				 success:function(flag){
				 	if(!isNull(flag)){
						$.showMsg("操作成功！");
					 	doSearch();
					}else{
						$.showMsg("操作失败！");
					}
				}
			 });
		}); 
	}
}
//查询
function doSearch(){	
	$('#tableGrid').datagrid('load',getQueryParams());
}
//增加
function doAdd(){
	toEdit=false;
	windowId = top.$.createWin({
		title	: 	'增加信息',
		width	:  	650,
		height	: 	300,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/ywlogmanagement/nhywjtssxcsb_show.jsp"
	 });
}
//修改
function doUpdate(index){
	toEdit=true;
	var selRows = $('#tableGrid').datagrid('getRows')[index];
	windowId = top.$.createWin({
		title	: 	'修改信息',
		width	:  	650,
		height	: 	300,
		data   	:   selRows,
		buttons:  [{
			text:$.fn.textbox.defaults.ok,
			handler:saveNodeInfo
		}],
		url	:	sysUrl+"/yw/ywlogmanagement/nhywjtssxcsb_show.jsp"
	});
}
//保存
function saveNodeInfo(){
	var win		=	$.getTopWindowById(windowId);
	var jq		=	win.$;
	var model   =   $.getFormValues("childform",windowId);
	console.log(model);
	if(!win.$('#childform').form('enableValidation').form('validate')){
      return;
	}
	if(toEdit){//修改
		model.XGTJxh = jq('#xh').val();

		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtssxcsbAction!update_Nhywjtssxcsb.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}else{
		//model.checkparam = " and xh='"+model.xh+"' ";
		$.ajax({
			type:'post',
			dataType : 'json',
			url:'nhywjtssxcsbAction!insert_Nhywjtssxcsb.do',
			data:model,
			success:function(value){
				if(value=="success"){
					$.showMsg("操作成功！");
					top.$("#"+windowId).dialog('close');
					doSearch();
				}else if(value=="same"){
					$.showMsg("已存在！");
				}else{
					$.showMsg("操作失败！");
				}
			}
		});
	}
}
//打开修改
function doEdit(){
	var selIndex = $('#tableGrid').datagrid('getRowIndex', $("#tableGrid").datagrid('getSelected'))
	if(selIndex==-1){
		$.showMsg('请先选择一行! ');
		 return;
	}else{
		doUpdate(selIndex);
	}		
}
//模板下载
function doTemplate(){
	var baseUrl = $.proPath();
	var downFile = baseUrl+"/down/down.xls";
	window.location.href= downFile;
}
//导入
function doImport(){
	toEdit=false;
	windowId = top.$.createWin({
		 id		:	$.uniqueId(),
		 title	: 	'导入',
		 width	:  	400,
		 height	: 	130,
		 url	:	sysUrl+"/im/xx/nhywjtssxcsb_imp.jsp"
	 });
}
//导出
function doExport(){
	var model = getQueryParams();
	$.ajax({
		type : 'post',
		dataType : 'json',
		data : model,
		url : 'nhywjtssxcsbAction!count_Nhywjtssxcsb.do',
		success : function(value) {
			if(!isNull(value)){
				countExport(value);
			}else{
				$.showMsg("操作失败！");
			}
		}
	});
}
// 导出传参条件
function countExport(totalSize) {
	var limit = 5000;
	if (totalSize > 5000) {
		top.$.dlg.confirm('记录过多支持前5000条,确定要将记录导出Excel为表格吗?',function(){ 
			execExport();
		});		
	} else {
		top.$.dlg.confirm('确认导出?',function(){ 
			execExport();
		})
	}
}
// 调用后台
function execExport() {
	var model = getQueryParams();
	var downParam = "";
	document.excelForm.action = 'nhywjtssxcsbAction!exp_Nhywjtssxcsb.do?'+downParam;
	document.excelForm.submit(); 
}
